## plasma-browser-integration 6.2.90

=== debian/changelog ===
plasma-browser-integration (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 09:01:43 +0000

plasma-browser-integration (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:02:42 +0000

plasma-browser-integration (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:07 +0000

plasma-browser-integration (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:58:27 +0000

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6filemetadata-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6purpose-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libplasmaactivities-dev (>= 6.2.90~),
               plasma-workspace-dev (>= 4:6.2.90~),
               qt6-base-dev (>= 6.7.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

## plasma-browser-integration 6.3.0

=== debian/changelog ===
plasma-browser-integration (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:07:54 +0100

plasma-browser-integration (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:57 +0100

plasma-browser-integration (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:43 +0100

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6filemetadata-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6purpose-dev (>= 6.8.0~),
               libkf6runner-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libplasmaactivities-dev (>= 6.3.0~),
               plasma-workspace-dev (>= 4:6.3.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

## plasma-browser-integration 6.3.2

=== debian/changelog ===
plasma-browser-integration (6.3.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop now useless Breaks/Replaces since the webext package doesn’t
    contain any file from the older plasma-browser-integration package
    anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Mar 2025 23:04:23 +0100

plasma-browser-integration (6.3.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix arch-dependent paths in install file.
  * Move back native-messaging-hosts configuration from the webext to
    the plasma-browser-integration package.
  * Readd README.debian with more information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Mar 2025 09:37:41 +0100

plasma-browser-integration (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * Also package the web browsers extension. Thanks Piper McCorkle for
    the initial merge request. (Closes: #926618, #965386)
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.8.0~),
                gettext,
+               jq,
                libkf6config-dev (>= 6.8.0~),
                libkf6coreaddons-dev (>= 6.8.0~),
                libkf6crash-dev (>= 6.8.0~),
@@ -24,8 +26,8 @@
                libkf6runner-dev (>= 6.8.0~),
                libkf6service-dev (>= 6.8.0~),
                libkf6statusnotifieritem-dev (>= 6.8.0~),
-               libplasmaactivities-dev (>= 6.3.0~),
-               plasma-workspace-dev (>= 4:6.3.0~),
+               libplasmaactivities-dev (>= 6.3.2~),
+               plasma-workspace-dev (>= 4:6.3.2~),
                qt6-base-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
@@ -36,7 +38,9 @@
 Package: plasma-browser-integration
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Chromium, Google Chrome, Firefox integration for Plasma
+Breaks: webext-plasma-browser-integration (<< 6.3.2-2~),
+Replaces: webext-plasma-browser-integration (<< 6.3.2-2~),
+Description: Chromium, Google Chrome, Firefox integration for Plasma (backend)
  Plasma Browser Integration is an extension for common browsers
  to closer fit into the Plasma shell. This includes:
     - Media Controls
@@ -50,3 +54,31 @@
     - Find browser tabs in the Run Command (Alt-Space) window
         Make sure the "Browser Tabs" module is enabled in Plasma Search
         (KRunner) settings.
+ .
+ This package contains the backend components to make the bridge between the
+ browsers and Plasma.
+
+Package: webext-plasma-browser-integration
+Architecture: all
+Multi-Arch: foreign
+Depends: plasma-browser-integration, ${misc:Depends}, ${shlibs:Depends},
+Recommends: firefox-esr | firefox | chromium,
+Description: Chromium, Firefox integration for Plasma (web extension component)
+ Plasma Browser Integration is an extension for common browsers
+ to closer fit into the Plasma shell. This includes:
+    - Media Controls
+        Lets you control video and audio players in websites using the
+        Media Controller plasmoid, media keys on your keyboard, and
+        even remotely from your phone.
+    - Send links via KDE Connect
+        Adds a context menu entry to links enabling you to send them
+        to your phone and other paired devices.
+    - Show downloads in and control them from Plasma’s notification area.
+    - Find browser tabs in the Run Command (Alt-Space) window
+        Make sure the "Browser Tabs" module is enabled in Plasma Search
+        (KRunner) settings.
+ An extension for Chromium and Firefox which allows rich communication
+ between the browser and plasma-browser-integration.
+ .
+ This package contains the web extension to be loaded by the browsers to
+ provide the integration with Plasma.

## plasma-browser-integration 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

project(plasma-browser-integration VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.8.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
Gui
DBus
Widgets
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    KIO
    I18n
    CoreAddons
    Config
    Crash
    DBusAddons
    Notifications
    Runner
    Purpose
    FileMetaData
    JobWidgets
    Service
    StatusNotifierItem
)

find_package(PlasmaActivities ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

ecm_setup_version(PROJECT VARIABLE_PREFIX PBI
                  VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
                  )

# Options
option(INSTALL_CHROME_MANIFEST "Whether to install a configuration file that makes Chrome automatically download the extension from the store" FALSE)
add_feature_info(INSTALL_CHROME_MANIFEST ${INSTALL_CHROME_MANIFEST} "Install extension from Chrome store automatically")

# in ubuntu and derivatives, this should be installed in the chromium-browser/extensions,
# but since this is distribution specific path, let's use what upstream uses
# ideally ubuntu and derivatives should patch this in their packaging
set(CHROMIUM_EXTENSIONS_DIR "chromium" CACHE STRING "Directory name to install Chromium extensions into")
add_feature_info(CHROMIUM_EXTENSIONS_DIR On "Directory name to install Chromium extensions into is '${CHROMIUM_EXTENSIONS_DIR}'")

option(COPY_MESSAGING_HOST_FILE_HOME "Copy the native messaging hosts json file to user home dir" FALSE)
add_feature_info(COPY_MESSAGING_HOST_FILE_HOME ${COPY_MESSAGING_HOST_FILE_HOME} "Enable this option to copy the native messaging hosts json file to home dir if you install plasma-browser-integration to custom prefix (non-/usr)")

set(MOZILLA_DIR "${CMAKE_INSTALL_PREFIX}/lib/mozilla" CACHE STRING "Mozilla directory")
add_feature_info(MOZILLA_DIR On "Mozilla directory is '${MOZILLA_DIR}'")

add_subdirectory(host)
add_subdirectory(reminder)
add_subdirectory(flatpak-integrator)

if(NOT DEFINED CHROME_EXTENSION_ID)
    # The extension ID is based on the key used to sign the extension
    # see https://stackoverflow.com/questions/23873623/obtaining-chrome-extension-id-for-development
    set(CHROME_EXTENSION_ID "cimiefiiaegbelhefglklhhakcgmhkai")
endif()

if(NOT DEFINED EDGE_EXTENSION_ID)
    set(EDGE_EXTENSION_ID "dnnckbejblnejeabhcmhklcaljjpdjeh")
endif()

# TODO configure manifest.json

configure_file(org.kde.plasma.chrome_integration.json.in org.kde.plasma.chrome_integration.json @ONLY)
configure_file(org.kde.plasma.firefox_integration.json.in org.kde.plasma.firefox_integration.json @ONLY)

# #chromium
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/chromium/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# #google-chrome
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/chrome/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# Microsoft Edge
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/edge/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# firefox
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)

if (COPY_MESSAGING_HOST_FILE_HOME)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/microsoft-edge/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
endif()

if (INSTALL_CHROME_MANIFEST) # Install a policy to have browsers automatically add the extension
    # google-chrome
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/google-chrome/extensions RENAME ${CHROME_EXTENSION_ID}.json)
    # chromium
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/${CHROMIUM_EXTENSIONS_DIR}/extensions RENAME ${CHROME_EXTENSION_ID}.json)
endif()

# TODO firefox

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-browser-integration (6.3.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Support for flatpak variants of Firefox and Chromium.
    - Add support for librewolf. (kde#476967)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:43 +0200

plasma-browser-integration (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,10 @@
                libkf6runner-dev (>= 6.8.0~),
                libkf6service-dev (>= 6.8.0~),
                libkf6statusnotifieritem-dev (>= 6.8.0~),
-               libplasmaactivities-dev (>= 6.3.2~),
-               plasma-workspace-dev (>= 4:6.3.2~),
+               libplasmaactivities-dev (>= 6.3.4~),
+               plasma-workspace-dev (>= 4:6.3.4~),
                qt6-base-dev (>= 6.6.0+dfsg~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration

## plasma-browser-integration 6.3.5

=== debian/changelog ===
plasma-browser-integration (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:05 +0100

plasma-browser-integration (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:07 +0100

plasma-browser-integration (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:22:10 +0000

plasma-browser-integration (6.3.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0 and Plasma 6.3.2
    - Do not ship web extension package.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Mar 2025 08:45:16 +0000

plasma-browser-integration (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:17:18 +0000

plasma-browser-integration (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:24:23 +0000

plasma-browser-integration (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:56:27 +0000

plasma-browser-integration (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:43:04 +0000

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6filemetadata-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6purpose-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libplasmaactivities-dev (>= 6.3.5~),
               plasma-workspace-dev (>= 4:6.3.5~),
               qt6-base-dev (>= 6.7.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

## plasma-browser-integration 6.3.6

=== debian/changelog ===
plasma-browser-integration (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Kdirselectdialog: correct initial focus. (kde#505046)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.6 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 00:00:09 +0200

## plasma-browser-integration 6.4.4

=== debian/changelog ===
plasma-browser-integration (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.8.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6filemetadata-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6jobwidgets-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6purpose-dev (>= 6.10.0~),
-               libkf6runner-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6statusnotifieritem-dev (>= 6.10.0~),
-               libplasmaactivities-dev (>= 6.3.5~),
-               plasma-workspace-dev (>= 4:6.3.5~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6crash-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6filemetadata-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6jobwidgets-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6notifications-dev (>= 6.14.0~),
+               libkf6purpose-dev (>= 6.14.0~),
+               libkf6runner-dev (>= 6.14.0~),
+               libkf6service-dev (>= 6.14.0~),
+               libkf6statusnotifieritem-dev (>= 6.14.0~),
+               libplasmaactivities-dev (>= 6.4.4~),
+               plasma-workspace-dev (>= 4:6.4.4~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration

## plasma-browser-integration 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.4.5")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")
 
@@ -75,6 +74,9 @@
 set(MOZILLA_DIR "${CMAKE_INSTALL_PREFIX}/lib/mozilla" CACHE STRING "Mozilla directory")
 add_feature_info(MOZILLA_DIR On "Mozilla directory is '${MOZILLA_DIR}'")
 
+set(LIBREWOLF_DIR "${CMAKE_INSTALL_PREFIX}/lib/librewolf" CACHE STRING "LibreWolf directory")
+add_feature_info(LIBREWOLF_DIR On "LibreWolf directory is '${LIBREWOLF_DIR}'")
+
 add_subdirectory(host)
 add_subdirectory(reminder)
 add_subdirectory(flatpak-integrator)
@@ -102,9 +104,12 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/edge/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 # firefox
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
+# LibreWolf
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${LIBREWOLF_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 
 if (COPY_MESSAGING_HOST_FILE_HOME)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.librewolf/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/microsoft-edge/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)

=== flatpak-integrator/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

add_library(browserintegrationflatpakintegrator MODULE plugin.cpp data.qrc)
target_link_libraries(browserintegrationflatpakintegrator KF6::DBusAddons KF6::CoreAddons)
install(TARGETS browserintegrationflatpakintegrator DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

ecm_qt_declare_logging_category(
    browserintegrationflatpakintegrator
    HEADER debug.h
    IDENTIFIER INTEGRATOR
    CATEGORY_NAME org.kde.plasma.browser-integration.flatpak.integrator
    DESCRIPTION "Plasma Browser Integration Flatpak Integrator"
)

=== debian/changelog ===
plasma-browser-integration (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
                libkf6runner-dev (>= 6.14.0~),
                libkf6service-dev (>= 6.14.0~),
                libkf6statusnotifieritem-dev (>= 6.14.0~),
-               libplasmaactivities-dev (>= 6.4.4~),
-               plasma-workspace-dev (>= 4:6.4.4~),
+               libplasmaactivities-dev (>= 6.4.5~),
+               plasma-workspace-dev (>= 4:6.4.5~),
                qt6-base-dev (>= 6.8.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration

## plasma-browser-integration 6.4.5+p24.04+vstable+git20250928.1335

=== debian/changelog ===
plasma-browser-integration (6.4.5+p24.04+vstable+git20250928.1335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:35:17 +0000

plasma-browser-integration (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:01:22 +0000

plasma-browser-integration (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:18:00 +0000

plasma-browser-integration (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

plasma-browser-integration (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:32:18 +0000

plasma-browser-integration (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:47:40 +0000

plasma-browser-integration (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:22:24 +0000

plasma-browser-integration (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:55:52 +0000

plasma-browser-integration (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:07:45 +0000

plasma-browser-integration (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:07:04 +0000

plasma-browser-integration (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:08:59 +0000

plasma-browser-integration (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:52:15 +0000

plasma-browser-integration (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:28:37 +0000

plasma-browser-integration (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:59:28 +0000

plasma-browser-integration (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:32:01 +0000

plasma-browser-integration (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:21:33 +0000

plasma-browser-integration (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:02:53 +0000

plasma-browser-integration (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:10:24 +0000

plasma-browser-integration (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:37:14 +0000

plasma-browser-integration (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:12:19 +0000

plasma-browser-integration (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:30:15 +0000

plasma-browser-integration (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:06:29 +0000

plasma-browser-integration (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:39:12 +0000

plasma-browser-integration (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:58:42 +0000

plasma-browser-integration (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:17:40 +0000

plasma-browser-integration (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:49:01 +0000

plasma-browser-integration (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:12:41 +0000

plasma-browser-integration (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:21:33 +0000

plasma-browser-integration (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:01 +1000

plasma-browser-integration (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:50:49 +0000

plasma-browser-integration (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:59:43 +0000

plasma-browser-integration (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:08:07 +0000

plasma-browser-integration (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:19:13 +0000

plasma-browser-integration (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:08:11 +0000

plasma-browser-integration (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:32:11 +0000

plasma-browser-integration (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:30:50 +0000

plasma-browser-integration (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:09:52 +0000

plasma-browser-integration (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:04:40 +0000

plasma-browser-integration (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:31:48 +0000

plasma-browser-integration (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:27:41 +0000

plasma-browser-integration (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:45:32 +0000

plasma-browser-integration (5.26.3-0neon) jammy; urgency=medium

  * New release



## plasma-browser-integration 6.4.5+p24.04+vstable+git20251004.0956

=== debian/changelog ===
plasma-browser-integration (6.4.5+p24.04+vstable+git20251004.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:56:13 +0000

## plasma-browser-integration 6.4.5+p24.04+vstable+git20251016.2245

=== debian/changelog ===
plasma-browser-integration (6.4.5+p24.04+vstable+git20251016.2245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:45:36 +0000

## plasma-browser-integration 6.4.5+p24.04+vstable+git20251019.0608

=== debian/changelog ===
plasma-browser-integration (6.4.5+p24.04+vstable+git20251019.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:08:22 +0000

## plasma-browser-integration 6.4.91

=== debian/changelog ===
plasma-browser-integration (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:16:36 +0200

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               jq,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6filemetadata-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6purpose-dev (>= 6.8.0~),
               libkf6runner-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libplasmaactivities-dev (>= 6.4.91~),
               plasma-workspace-dev (>= 4:6.4.91~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: webext-plasma-browser-integration (<< 6.3.2-2~),
Replaces: webext-plasma-browser-integration (<< 6.3.2-2~),
Description: Chromium, Google Chrome, Firefox integration for Plasma (backend)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 .
 This package contains the backend components to make the bridge between the
 browsers and Plasma.

Package: webext-plasma-browser-integration
Architecture: all
Multi-Arch: foreign
Depends: plasma-browser-integration,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: firefox-esr | firefox | chromium,
Description: Chromium, Firefox integration for Plasma (web extension component)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 An extension for Chromium and Firefox which allows rich communication
 between the browser and plasma-browser-integration.
 .
 This package contains the web extension to be loaded by the browsers to
 provide the integration with Plasma.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export FIREFOX_UUID = ec8030f7-c20a-464f-9b0e-13a3a9e97384
export EXTENSION_GECKO_ID = $(shell jq -r .browser_specific_settings.gecko.id < extension/manifest.json)
$(info EXTENSION_GECKO_ID=$(EXTENSION_GECKO_ID))

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "${EXTENSION_GECKO_ID}" = "null" ]; then \
	    >&2 echo 'Failed to extract extension gecko id from manifest.'; \
	    exit 1; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=OFF

execute_after_dh_auto_install:
	mv debian/tmp/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json debian/tmp/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.chrome_browser_integration.json
	mv debian/tmp/etc/opt/edge/native-messaging-hosts/org.kde.plasma.browser_integration.json debian/tmp/etc/opt/edge/native-messaging-hosts/org.kde.plasma.edge_browser_integration.json

## plasma-browser-integration 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.5")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.0-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:49:42 +0000

plasma-browser-integration (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-krunner-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               plasma-workspace-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/plasma-desktop.php
Uploaders: Scarlett Clark <sgclark@kde.org>
Vcs-Git: https://invent.kde.org/neon/kde/plasma-browser-integration.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-browser-integration
Maintainer: Neon CI <neon@kde.org>

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Chromium integration for Plasma
 Components necessary to integrate browsers into
 the Plasma Desktop.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=ON 

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## plasma-browser-integration 6.5.0+p24.04+vstable+git20251021.0909

=== debian/changelog ===
plasma-browser-integration (6.5.0+p24.04+vstable+git20251021.0909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:09:40 +0000
